/*
 * Copyright (C) 2000 - 2024 Silverpeas
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * As a special exception to the terms and conditions of version 3.0 of
 * the GPL, you may redistribute this Program in connection with Free/Libre
 * Open Source Software ("FLOSS") applications as described in Silverpeas's
 * FLOSS exception. You should have received a copy of the text describing
 * the FLOSS exception, and it is also available here:
 * "https://www.silverpeas.org/legal/floss_exception.html"
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

package org.silverpeas.components.silvercrawler.control;

/**
 * Folder ZIP Information.
 * @author Ludovic Bertin
 */
public class FolderZIPInfo {
  String fileZip = null;
  long size = 0;
  long maxiSize = 0;
  String url = null;
  boolean maxSizeReached = false;

  public String getFileZip() {
    return fileZip;
  }

  public void setFileZip(String fileZip) {
    this.fileZip = fileZip;
  }

  public long getSize() {
    return size;
  }

  public void setSize(long size) {
    this.size = size;
  }

  public long getMaxiSize() {
    return maxiSize;
  }

  public void setMaxiSize(long maxiSize) {
    this.maxiSize = maxiSize;
  }

  public String getUrl() {
    return url;
  }

  public void setUrl(String url) {
    this.url = url;
  }

  public boolean isMaxSizeReached() {
    return maxSizeReached;
  }

  public void setMaxSizeReached(final boolean maxSizeReached) {
    this.maxSizeReached = maxSizeReached;
  }
}